> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.schoolset.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.schoolset.io/_mcp/server.

# Resolve scheduled plans for students

POST https://ssuccessv2.com/app/api/v1/attendance/plans/resolve
Content-Type: application/json

Returns at most one active plan per student for the date and track; track-specific plans take precedence over all-track plans.

Reference: https://docs.schoolset.io/api-reference/school-set-api/student-attendance-plans/resolve-student-attendance-plans

## Authentication

- `Authorization` header (bearer token, required) — The signed-in SchoolSet user token sent by the frontend.

## Request

### Body (application/json)

This endpoint expects an object.

- `date` (date, required)
- `track_id` (integer, required)
- `student_ids` (list of integer, required)

## Response

### 200

Matching plans.

- `status` (string, optional)
- `message` (string, optional)
- `data` (list of ApiV1AttendancePlansResolvePostResponsesContentApplicationJsonSchemaDataItems, optional)

## Errors

### 401 Unauthorized Error

Unauthenticated

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 403 Forbidden Error

Permission denied

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 422 Unprocessable Entity Error

Invalid date

- `message` (string, required)
- `errors` (map from string to list of string, required)

## Types

### ApiV1AttendancePlansResolvePostResponsesContentApplicationJsonSchemaDataItems

- `id` (integer, optional)
- `student_id` (integer, optional)
- `attendance_marking_type_id` (integer, optional)
- `marking_type` (ApiV1AttendancePlansResolvePostResponsesContentApplicationJsonSchemaDataItemsMarkingType, optional, nullable)
- `attendance_track_id` (integer, optional, nullable)
- `track_name` (string, optional, nullable)
- `start_date` (date, optional)
- `end_date` (date, optional)
- `has_permission` (boolean, optional)
- `note` (string, optional, nullable)

### ApiV1AttendancePlansResolvePostResponsesContentApplicationJsonSchemaDataItemsMarkingType

## Examples

**Request**

```json
{
  "track_id": 42,
  "student_ids": [
    1001,
    1002
  ]
}
```

**Response**

```json
{
  "status": "success",
  "message": "",
  "data": [
    {
      "id": 501,
      "student_id": 1001,
      "attendance_marking_type_id": 2,
      "marking_type": {
        "id": 2,
        "name": "Excused",
        "category": "absence",
        "color": "#f59e0b",
        "icon": "calendar",
        "ask_for_permission": true,
        "allow_note": true,
        "require_note": false
      },
      "attendance_track_id": null,
      "track_name": null,
      "start_date": "2023-01-15",
      "end_date": "2023-01-15",
      "has_permission": true,
      "note": "Family vacation"
    }
  ]
}
```

**SDK Code**

```python Student attendance plans_resolveStudentAttendancePlans_example
import requests

url = "https://ssuccessv2.com/app/api/v1/attendance/plans/resolve"

payload = {
    "track_id": 42,
    "student_ids": [1001, 1002]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Student attendance plans_resolveStudentAttendancePlans_example
const url = 'https://ssuccessv2.com/app/api/v1/attendance/plans/resolve';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"track_id":42,"student_ids":[1001,1002]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Student attendance plans_resolveStudentAttendancePlans_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://ssuccessv2.com/app/api/v1/attendance/plans/resolve"

	payload := strings.NewReader("{\n  \"track_id\": 42,\n  \"student_ids\": [\n    1001,\n    1002\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Student attendance plans_resolveStudentAttendancePlans_example
require 'uri'
require 'net/http'

url = URI("https://ssuccessv2.com/app/api/v1/attendance/plans/resolve")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"track_id\": 42,\n  \"student_ids\": [\n    1001,\n    1002\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java Student attendance plans_resolveStudentAttendancePlans_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://ssuccessv2.com/app/api/v1/attendance/plans/resolve")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"track_id\": 42,\n  \"student_ids\": [\n    1001,\n    1002\n  ]\n}")
  .asString();
```

```php Student attendance plans_resolveStudentAttendancePlans_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://ssuccessv2.com/app/api/v1/attendance/plans/resolve', [
  'body' => '{
  "track_id": 42,
  "student_ids": [
    1001,
    1002
  ]
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Student attendance plans_resolveStudentAttendancePlans_example
using RestSharp;

var client = new RestClient("https://ssuccessv2.com/app/api/v1/attendance/plans/resolve");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"track_id\": 42,\n  \"student_ids\": [\n    1001,\n    1002\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Student attendance plans_resolveStudentAttendancePlans_example
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "track_id": 42,
  "student_ids": [1001, 1002]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://ssuccessv2.com/app/api/v1/attendance/plans/resolve")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```